BEGIN VV2ARMY

IF ~~ armyStand
  SAY ~(Guard doesn't move, doing exactly what you said him.)~
  IF ~~ THEN DO ~~ EXIT
END

IF ~Global("MadeGlobal","LOCALS",0)~ THEN BEGIN orderReceiveB
   SAY ~(Guardian turns to you.)~
   IF ~Global("BodhiStronghold","GLOBAL",2)~ THEN DO ~SetGlobal("MadeGlobal","LOCALS",1)
MakeGlobal()~ GOTO orderReceive
   IF ~!Global("BodhiStronghold","GLOBAL",2)~ THEN DO ~SetGlobal("MadeGlobal","LOCALS",2)
MakeGlobal()~ GOTO orderPure
END

IF ~Global("MadeGlobal","LOCALS",1)~ THEN BEGIN orderPure
   SAY ~(Guardian of your stronghold looks at you, awaiting orders.)~
   IF ~~ THEN REPLY ~Stand here, my minion.~  GOTO armyStand
   IF ~!AreaCheck("AR0808")~ THEN REPLY ~Go to the Bodhi's crypt main room!~  GOTO areaAR0808
   IF ~!AreaCheck("AR0804")~ THEN REPLY ~Go to the spiders nest!~  GOTO areaAR0804
   IF ~!AreaCheck("AR0800")~ THEN REPLY ~Go to the Grave Yard District!~  GOTO areaAR0800
//   IF ~Gender(Myself,FEMALE)
//Race(Myself,VAMPIRE)
//Global("NameDetermined","LOCALS",0)
//OR(2)
//Gender(Player1,BOTH)
//Gender(Player1,FEMALE)~ THEN REPLY ~What's your name, minion?~ DO ~SetGlobal("NameDetermined","LOCALS",1)~ GOTO femaleVampNameF  
//   IF ~Gender(Myself,FEMALE)
//Race(Myself,VAMPIRE)
//Global("NameDetermined","LOCALS",0)
//!Gender(Player1,BOTH)
//!Gender(Player1,FEMALE)~ THEN REPLY ~What's your name, minion?~ DO  ~SetGlobal("NameDetermined","LOCALS",1)~  GOTO femaleVampNameM
END


IF ~Global("MadeGlobal","LOCALS",2)~ THEN BEGIN orderReceive
   SAY ~(Guardian of your stronghold looks at you, awaiting orders.)~
   IF ~~ THEN REPLY ~Stand here, my minion.~  GOTO armyStand
   IF ~!AreaCheck("AR0808")~ THEN REPLY ~Go to the Bodhi's crypt main room!~  GOTO areaAR0808
   IF ~!AreaCheck("AR0802")~ THEN REPLY ~Go to the burial room!~  GOTO areaAR0802
   IF ~!AreaCheck("AR0809")~ THEN REPLY ~Go to the Bodhi tomb!~  GOTO areaAR0809
   IF ~!AreaCheck("AR0804")~ THEN REPLY ~Go to the spiders nest!~  GOTO areaAR0804
   IF ~!AreaCheck("AR0800")~ THEN REPLY ~Go to the Grave Yard District!~  GOTO areaAR0800   
   IF ~!AreaCheck("AR0900")~ THEN REPLY ~Go to the Temple District!~  GOTO areaAR0900
   IF ~!AreaCheck("AR1000")~ THEN REPLY ~Go to the Government District!~  GOTO areaAR1000
   IF ~!AreaCheck("AR0300")~ THEN REPLY ~Go to Docks!~  GOTO areaAR0300  
  IF ~!AreaCheck("AR0700")~ THEN REPLY ~Go to the Promenade!~  GOTO areaAR0700
  IF ~!AreaCheck("AR0400")~ THEN REPLY ~Go to Slums!~  GOTO areaAR0400   
  IF ~!AreaCheck("AR0500")~ THEN REPLY ~Go to the Bridge District!~  GOTO areaAR0500
  IF ~!AreaCheck("AR0020")~ THEN REPLY ~Go to the City Gates!~  GOTO areaAR0020   
//   IF ~Gender(Myself,FEMALE)
//Race(Myself,VAMPIRE)
//Global("NameDetermined","LOCALS",0)
//OR(2)
//Gender(Player1,BOTH)
//Gender(Player1,FEMALE)~ THEN REPLY ~What's your name, minion?~ DO ~SetGlobal("NameDetermined","LOCALS",1)~ GOTO femaleVampNameF  
//   IF ~Gender(Myself,FEMALE)
//Race(Myself,VAMPIRE)
//Global("NameDetermined","LOCALS",0)
//!Gender(Player1,BOTH)
//!Gender(Player1,FEMALE)~ THEN REPLY ~What's your name, minion?~ DO  ~SetGlobal("NameDetermined","LOCALS",1)~  GOTO femaleVampNameM
END

IF ~~ areaAR0808
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0808",[1382.917],N)
RandomWalk()~ EXIT
END

IF ~~ areaAR0802
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0802",[564.270],N)
RandomWalk()~ EXIT
END


IF ~~ areaAR0804 	
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0804",[440.546],N)
RandomWalk()~ EXIT
END


IF ~~ areaAR0809
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0809",[327.582],N)
RandomWalk()~ EXIT
END



IF ~~ areaAR0800
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0800",[808.954],N)
RandomWalk()~ EXIT
END




IF ~~ areaAR0900
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0900",[1848.966],N)
RandomWalk()~ EXIT
END




IF ~~ areaAR1000
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0900",[2552.231],N)
RandomWalk()~ EXIT
END




IF ~~ areaAR0300
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0300",[3399.486],N)
RandomWalk()~ EXIT
END







IF ~~ areaAR0700
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0700",[3494.3558],N)
RandomWalk()~ EXIT
END


IF ~~ areaAR0500
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0500",[4151.366],N)
RandomWalk()~ EXIT
END


IF ~~ areaAR0400
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0400",[2772.2501],N)
RandomWalk()~ EXIT
END





IF ~~ areaAR0020
  SAY ~(Guard does what you have ordered.)~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,20)
MoveBetweenAreas("AR0020",[289.851],N)
RandomWalk()~ EXIT
END

IF ~~ femaleVampNameF
  SAY ~Mistress, It's a pleasure that you are interested in my name.~
  IF ~RandomNum(20,1)~ GOTO femaleName1
  IF ~RandomNum(20,2)~ GOTO femaleName2
  IF ~RandomNum(20,3)~ GOTO femaleName3
  IF ~RandomNum(20,4)~ GOTO femaleName4
  IF ~RandomNum(20,5)~ GOTO femaleName5
  IF ~RandomNum(20,6)~ GOTO femaleName6
  IF ~RandomNum(20,7)~ GOTO femaleName7
  IF ~RandomNum(20,8)~ GOTO femaleName8
  IF ~RandomNum(20,9)~ GOTO femaleName9
  IF ~RandomNum(20,10)~ GOTO femaleName10
  IF ~RandomNum(20,11)~ GOTO femaleName11
  IF ~RandomNum(20,12)~ GOTO femaleName12
  IF ~RandomNum(20,13)~ GOTO femaleName13
  IF ~RandomNum(20,14)~ GOTO femaleName14
  IF ~RandomNum(20,15)~ GOTO femaleName15
  IF ~RandomNum(20,16)~ GOTO femaleName16
  IF ~RandomNum(20,17)~ GOTO femaleName17
  IF ~RandomNum(20,18)~ GOTO femaleName18
  IF ~RandomNum(20,19)~ GOTO femaleName19
  IF ~RandomNum(20,20)~ GOTO femaleName20
END

IF ~~ femaleVampNameM
  SAY ~Master, It's a pleasure that you are interested in my name.~
  IF ~RandomNum(20,1)~ GOTO femaleName1
  IF ~RandomNum(20,2)~ GOTO femaleName2
  IF ~RandomNum(20,3)~ GOTO femaleName3
  IF ~RandomNum(20,4)~ GOTO femaleName4
  IF ~RandomNum(20,5)~ GOTO femaleName5
  IF ~RandomNum(20,6)~ GOTO femaleName6
  IF ~RandomNum(20,7)~ GOTO femaleName7
  IF ~RandomNum(20,8)~ GOTO femaleName8
  IF ~RandomNum(20,9)~ GOTO femaleName9
  IF ~RandomNum(20,10)~ GOTO femaleName10
  IF ~RandomNum(20,11)~ GOTO femaleName11
  IF ~RandomNum(20,12)~ GOTO femaleName12
  IF ~RandomNum(20,13)~ GOTO femaleName13
  IF ~RandomNum(20,14)~ GOTO femaleName14
  IF ~RandomNum(20,15)~ GOTO femaleName15
  IF ~RandomNum(20,16)~ GOTO femaleName16
  IF ~RandomNum(20,17)~ GOTO femaleName17
  IF ~RandomNum(20,18)~ GOTO femaleName18
  IF ~RandomNum(20,19)~ GOTO femaleName19
  IF ~RandomNum(20,20)~ GOTO femaleName20
END


IF ~~ femaleName1
  SAY ~My name is Frederika.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Frederika")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Frederika")~ GOTO orderPure
END

IF ~~ femaleName2
  SAY ~My name is Anita.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Anita")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Anita")~ GOTO orderPure
END

IF ~~ femaleName3
  SAY ~My name is Camby.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Camby")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Camby")~ GOTO orderPure
END

IF ~~ femaleName4
  SAY ~My name is Viola.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Viola")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Viola")~ GOTO orderPure
END

IF ~~ femaleName5
  SAY ~My name is Alestria.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Alestria")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Alestria")~ GOTO orderPure
END

IF ~~ femaleName6
  SAY ~My name is Romula.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Romula")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Romula")~ GOTO orderPure
END

IF ~~ femaleName7
  SAY ~My name is Jinger.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Jinger")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Jinger")~ GOTO orderPure
END

IF ~~ femaleName8
  SAY ~My name is Varia.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Varia")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Varia")~ GOTO orderPure
END

IF ~~ femaleName9
  SAY ~My name is Shara.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Shara")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Shara")~ GOTO orderPure
END

IF ~~ femaleName10
  SAY ~My name is Luvvia.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Luvvia")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Luvvia")~ GOTO orderPure
END

IF ~~ femaleName11
  SAY ~My name is Angela.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Angela")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Angela")~ GOTO orderPure
END
  
  
IF ~~ femaleName12
  SAY ~My name is Cerestia.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Cerestia")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Cerestia")~ GOTO orderPure
END


IF ~~ femaleName13
  SAY ~My name is Hiona.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Hiona")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Hiona")~ GOTO orderPure
END

IF ~~ femaleName14
  SAY ~My name is Sansa.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Sansa")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Sansa")~ GOTO orderPure
END

IF ~~ femaleName15
  SAY ~My name is Claudestrinia.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Claudestrinia")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Claudestrinia")~ GOTO orderPure
END

IF ~~ femaleName16
  SAY ~My name is Ai.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Ai")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Ai")~ GOTO orderPure
END

IF ~~ femaleName17
  SAY ~My name is Femisha.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Femisha")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Femisha")~ GOTO orderPure
END

IF ~~ femaleName18
  SAY ~My name is Bastilla.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Bastilla")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Bastilla")~ GOTO orderPure
END

IF ~~ femaleName19
  SAY ~My name is Elsa.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Elsa")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Elsa")~ GOTO orderPure
END

IF ~~ femaleName20
  SAY ~My name is Arcashan.~
  IF ~Global("MadeGlobal","LOCALS",1)~ THEN DO ~SetName("Arcashan")~ GOTO orderReceive
  IF ~Global("MadeGlobal","LOCALS",2)~ THEN DO ~SetName("Arcashan")~ GOTO orderPure
END